Index: acl.c
===================================================================
RCS file: /usr/cvsroot/asterisk/acl.c,v
retrieving revision 1.54
diff -u -r1.54 acl.c
--- acl.c	14 Aug 2005 03:16:06 -0000	1.54
+++ acl.c	7 Sep 2005 21:32:22 -0000
@@ -33,10 +33,16 @@
 #include <net/route.h>
 #endif
 
-#if defined (SOLARIS) || defined(__OpenBSD__)
+#if defined(SOLARIS)
 #include <sys/sockio.h>
-/* netinet/ip.h does not define the following (See RFCs 791 and 1349) */
+#endif
+
+/* netinet/ip.h may not define the following (See RFCs 791 and 1349) */
+#if !defined(IPTOS_LOWCOST)
 #define       IPTOS_LOWCOST           0x02
+#endif
+
+#if !defined(IPTOS_MINCOST)
 #define       IPTOS_MINCOST           IPTOS_LOWCOST
 #endif
 
